Loading...
Searching...
No Matches
unity::shell::scopes::ResultsModelInterface Class Reference

A model of scope results for a particular category. More...

`#include <unity/shell/scopes/ResultsModelInterface.h>`

Inheritance diagram for unity::shell::scopes::ResultsModelInterface:
[legend]
Collaboration diagram for unity::shell::scopes::ResultsModelInterface:
[legend]

## Public Types

enum | Roles { RoleUri , RoleCategoryId , RoleDndUri , RoleResult , RoleTitle , RoleArt , RoleSubtitle , RoleMascot , RoleEmblem , RoleSummary , RoleAttributes , RoleBackground , RoleOverlayColor , RoleQuickPreviewData , RoleSocialActions }
| The Roles supported by this model. More...

## Properties

QString | categoryId
| Id of associated category.
int | count
| Number of items in the model.

## Detailed Description

A model of scope results for a particular category.

## Member Enumeration Documentation

## Roles

enum unity::shell::scopes::ResultsModelInterface::Roles

The Roles supported by this model.

Enumerator
RoleQuickPreviewData | Data for UI quick previewing. In case of audio should contain uri and duration.
RoleSocialActions | Data for social actions (in-card actions such as "+1").

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/ResultsModelInterface.h